<?php
/**
 *
 * @author     Xiroweb <support@xiroweb.com>
 * @copyright  Copyright (c)2021 Xiroweb All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 * @link       https://www.xiroweb.com
 */

defined('_JEXEC') or die;

use Joomla\CMS\HTML\HTMLHelper;

$collapse_parent = 'xiroweb_faq_' . $module->id; 
$i = 0;

?>
<div class="py-3">
    <div class="header py-3">
        <?php if (!empty($block_title)) : ?>
        <div class="block_title text-center pb-3">
            <span class="h3">
                <?php echo $block_title; ?>
            </span>
        </div>
        <?php endif; ?>
        <?php if (!empty($block_description)) : ?>
        <div class="block_description text-center fw-lighter">
            <?php echo $block_description; ?>
        </div>
        <?php endif; ?>
    </div>

    <div class="faq accordion-button-left mt-3">
    <?php echo HTMLHelper::_('bootstrap.startAccordion', $collapse_parent, array('active' => 'slide0',  'parent' => 'true')); ?>
        <?php foreach ($items as $key => $item) { ?>
            <?php echo HTMLHelper::_('bootstrap.addSlide', $collapse_parent,  htmlspecialchars($item->title, ENT_QUOTES, 'UTF-8'), 'slide' . ($i++)); ?>
                <div class="faq-content">
                    <div class="desc" ><?php echo $item->description; ?></div>
                </div>
            <?php echo HTMLHelper::_('bootstrap.endSlide'); ?>
        <?php } ?>
        <?php echo HTMLHelper::_('bootstrap.endAccordion'); ?>
    </div>
</div>